Purchasing Actions

Use the subpages in this section to explore PO actions endpoints.

Add Shipping Cost Action

  • POST https://{site}.mvpplant.com/ODataApi/v1/PurchaseOrders(POID='poID',ReleaseID=releaseID)/AddShippingCost

PO Invoice Action

  • POST https://{site}.mvpplant.com/ODataApi/v1/PurchaseOrders(POID='poID',ReleaseID=releaseID)/Invoice

Close Action

  • POST https://{site}.mvpplant.com/ODataApi/v1/PurchaseOrders(POID='poID',ReleaseID=releaseID)/Close

Cancel Purchase Order Action

  • POST https://{site}.mvpplant.com/ODataApi/v1/PurchaseOrders(POID='poID',ReleaseID=releaseID)/Cancel

ReOpen Action

  • POST https://{site}.mvpplant.com/ODataApi/v1/PurchaseOrders(POID='poID',ReleaseID=releaseID)/ReOpen

Update POID Action

  • POST https://{site}.mvpplant.com/ODataApi/v1/PurchaseOrders(POID='poID',ReleaseID=releaseID)/UpdatePOID

Cancel Purchase Request Action

  • POST https://{site}.mvpplant.com/ODataApi/v1/PurchaseRequests('prID')/Cancel